Installing OpenGL on Linux and WinXP

Hello everybody,
It’s been a week I try to install OpenGl to work on, but unsuccessfully.

  1. On Win XP if somebody knows how could i turn it up, I would be so grateful.

2.On RedHat 9.0 I have installed
glut-3.7-12.i386.rpm
glut-devel-3.7-12.i386.rpm
But when i try to compile the very first program in the redbook it tells me:

/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to XGetExtensionVersion' /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libglut.so: undefined reference toXFreeDeviceList’
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to XQueryDeviceState' /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libglut.so: undefined reference toXListInputDevices’
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to XFreeDeviceState' /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libglut.so: undefined reference toXOpenDevice’
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to `XSelectExtensionEvent’

The problem is that the same program with the same command of compiling works perfect in a friend of mine’s pc who has RedHat 8.0 and have installed the same packages. I know other people with RedHat 9.0 that have the same problem. If somebody knows how to resolve my problem let’s help me…
Thanx!!

There is a bug in the glut RPM shipped with RedHat 9.0, search the linux forum and you will find the fix for that problem.
Also get the glut RPM’s from 8.0 and install them, this should fix the problem.

What kind of problem are you havine with openGL on XP?
What compiler are you using under XP?

Originally posted by brankoleone:
[b]Hello everybody,
It’s been a week I try to install OpenGl to work on, but unsuccessfully.

  1. On Win XP if somebody knows how could i turn it up, I would be so grateful.

2.On RedHat 9.0 I have installed
glut-3.7-12.i386.rpm
glut-devel-3.7-12.i386.rpm
But when i try to compile the very first program in the redbook it tells me:

/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to XGetExtensionVersion' /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libglut.so: undefined reference toXFreeDeviceList’
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to XQueryDeviceState' /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libglut.so: undefined reference toXListInputDevices’
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to XFreeDeviceState' /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libglut.so: undefined reference toXOpenDevice’
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/…/…/…/libglut.so: undefined reference to `XSelectExtensionEvent’

The problem is that the same program with the same command of compiling works perfect in a friend of mine’s pc who has RedHat 8.0 and have installed the same packages. I know other people with RedHat 9.0 that have the same problem. If somebody knows how to resolve my problem let’s help me…
Thanx!![/b]